Bug 477866 - Review Request: perl-Hardware-Verilog-Parser - Complete grammar for parsing Verilog code using perl
Review Request: perl-Hardware-Verilog-Parser - Complete grammar for parsing V...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-24 09:57 EST by Chitlesh GOORAH
Modified: 2008-12-30 18:42 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-30 18:42:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chitlesh GOORAH 2008-12-24 09:57:51 EST
Spec URL: http://chitlesh.fedorapeople.org/RPMS/perl-Hardware-Verilog-Parser.spec
SRPM URL: http://chitlesh.fedorapeople.org/RPMS/perl-Hardware-Verilog-Parser-0.13-1.fc10.src.rpm
Description: 
This module defines the complete grammar needed to parse any Verilog code.
By overloading this grammar, it is possible to easily create perl scripts
which run through Verilog code and perform specific functions.
Comment 1 Parag AN(पराग) 2008-12-24 11:49:34 EST
Review:
+ package builds in mock (rawhide i386).
koji build= >http://koji.fedoraproject.org/koji/taskinfo?taskID=1020609
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
13e484832847e133675160862b43d933  Hardware-Verilog-Parser-0.13.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
1..1
ok 1
+ Package perl-Hardware-Verilog-Parser-0.13-1.fc11 ->
Provides: perl(Hardware::Verilog::Hierarchy) = 0.03 perl(Hardware::Verilog::Parser) = 0.13 perl(Hardware::Verilog::StdLogic) = 0.03 perl(Parse::RecDescent::PrecompiledParser) perl(PrecompiledParser)
Requires: /usr/bin/perl perl >= 1:5
 perl(Benchmark) perl(Data::Dumper) perl(Hardware::Verilog::Hierarchy) perl(Hardware::Verilog::Parser) perl(Hardware::Verilog::StdLogic) perl(Parse::RecDescent) perl(PrecompiledParser) perl(strict) perl(vars)

Suggestions:-
1) I think this package should own %{perl_vendorlib}/Hardware/ also.
==> Can be fixed by mkdir in %install as
mkdir -p $RPM_BUILD_ROOT%{perl_vendorlib}/Hardware

APPROVED.
Comment 2 Chitlesh GOORAH 2008-12-27 21:30:16 EST
New Package CVS Request
=======================
Package Name: perl-Hardware-Verilog-Parser
Short Description: Complete grammar for parsing Verilog code using perl
Owner: chitlesh
Branches: F-9 F-10 EL-5
Comment 3 Kevin Fenzi 2008-12-28 14:08:24 EST
cvs done.
Comment 4 Fedora Update System 2008-12-30 18:42:05 EST
perl-Hardware-Verilog-Parser-0.13-1.fc10, perl-ModelSim-List-0.06-1.fc10, perl-Perlilog-0.3-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.